# $Revision: 1.8 $, $Date: 2006/12/13 22:54:18 $
%define		_modname	namazu
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - full-text search extension using Namazu
Summary(pl):	%{_modname} - penotekstowe wyszukiwanie z uyciem Namazu
Name:		php-pecl-%{_modname}
Version:	2.2.0
%define		_rc RC1
%define		_rel 6
Release:	0.%{_rc}.%{_rel}
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}%{_rc}.tgz
# Source0-md5:	3b1a01c812df4db4348b724f22fa2f09
URL:		http://pecl.php.net/package/namazu/
BuildRequires:	namazu-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Namazu is a full-text search system. This module an interface to the
Namazu library. This extension is originally made by Takuya Tsukada.

In PECL status of this extension is: %{_status}.

%description -l pl
Namazu jest to system wyszukiwania penotektsowego. Ten modu jest
interfejsem do biblioteki Namazu. Rozszerzenie pocztkowo naspisane
przez Takuya Tsukada.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}%{_rc}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}%{_rc}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}%{_rc}/{CREDITS,EXPERIMENTAL,sample,README*}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-namazu.spec,v $
Revision 1.8  2006/12/13 22:54:18  glen
- rel 6 (php 5.2.0)

Revision 1.7  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.6  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.5  2005/10/30 13:29:10  glen
- rel 0.RC1.4

Revision 1.4  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.3  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.2  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.1  2005/02/19 22:03:16  adamg
- new
